Bug 1558266 - Service gets submitted even if dialog does not passes validation
Summary: Service gets submitted even if dialog does not passes validation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks: 1565148
TreeView+ depends on / blocked
 
Reported: 2018-03-19 23:21 UTC by Shveta
Modified: 2019-02-11 14:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1565148 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:01:25 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
error (85.53 KB, image/png)
2018-03-19 23:21 UTC, Shveta
no flags Details
error (101.09 KB, image/png)
2018-03-20 23:52 UTC, Shveta
no flags Details

Description Shveta 2018-03-19 23:21:24 UTC
Created attachment 1410190 [details]
error

Description of problem:


Version-Release number of selected component (if applicable):
5.9.1.0.20180314203929_67fd99d

How reproducible:


Steps to Reproduce:
1. Create a simple dialog with a textbox element with regex validation = '/d'
2. Use the dialog in a catalog item .
3. Enter any alphabet in the textbox , validation message is shown that it does not match the correct format , but on submitting the service gets submitted.

Actual results:


Expected results:


Additional info:
Works in 5.8.3 but does not work in 5.9.0.22

Comment 2 Dave Johnson 2018-03-19 23:45:02 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 3 Chris Hale 2018-03-20 21:11:34 UTC
I went and tested this and \d works as expected.  It will only allow digits.  I think a typo may have been made in the regex.  /d is not the same as \d for regular expressions.

Comment 4 Shveta 2018-03-20 23:52:47 UTC
Created attachment 1410912 [details]
error

Re-opening the bug .
Please check appliance - https://10.8.198.209
Service - ansible_playbook.
Order service. 
Enter some value in IP and special chars in vm_name and submit , validation is only shown for Profile name .Select a value in profile name and submit .
Dialog will submit without complaining about validations for vm_name and IP field.

Comment 5 Chris Hale 2018-03-21 22:53:18 UTC
I tested this on the appliance and its an issue where Classic UI is allowing the submit button to be enabled.  I tested this same dialog on the appliance on SUI and the submit button disables properly.  Reassigning to Classic UI team.

Comment 8 Niyaz Akhtar Ansari 2018-09-04 10:02:08 UTC
Verified in Version 5.10.0.14.20180831154906_2f9a1dd


Note You need to log in before you can comment on or make changes to this bug.